<?php
    /**
    * This file performs sets a specific language for DynPG frontend,
    * by default "de".
    *
    * This file includes language data for language "italiano" alias "it"
    *
    *
    *
    * @package DynPG PlugIn Engine (Languages)
    * @author Daniel Schliebner
    * @return language data as assocciative array
    */

    // callback_Language_de_general: -> array
    // Sets language data for language "italiano"
    function callback_Language_it_general() {

        // instanciate language array
        $_LANG_ = Array();

        // define "new line" placeholder variable
        $N = "\r\n";


        // This definition is more a template but to small for an extra template
        // file so we define it here. In addition to that, this element is parsed
        // with the template processor too.
        $_LANG_['navigation_root_separate_str']          = '&nbsp;<strong>>></strong>&nbsp;';
        $_LANG_['navigation_root_firstelement']          = '<span class="breadcrumb_at_{$LIST_INDEX}">{$NAME}</span>';
        $_LANG_['navigation_root_singleelement']         = '<span class="breadcrumb_at_{$LIST_INDEX}">{$NAME}</span>';
        $_LANG_['navigation_root_itemelement']           = '<span class="breadcrumb_at_{$LIST_INDEX}">{$SEPERATE}{$TITLE}</span>';

		// Texts from navigation-pages.tpl
		$_LANG_['navigation_pages_back']          = 'ritorno';
		$_LANG_['navigation_pages_next']          = 'continuare';

        // date format for dates in the group list
        $_LANG_['general_groups_date_format']            = 'd.m.Y';


        // date format for dates in the article list
        $_LANG_['general_articles_create_date_format']   = 'd.m.Y';
        $_LANG_['general_articles_fix_date_format']      = 'd.m.Y';
        $_LANG_['general_articles_from_date_format']     = 'd.m.Y';
        $_LANG_['general_articles_till_date_format']     = 'd.m.Y';
        $_LANG_['general_articles_change_date_format']   = 'd.m.Y';

        // string for empty search query in article list
        $_LANG_['general_articles_no_search_query']      = '-';

        // Texts from articles.tpl
        $_LANG_['general_articles_language']            = 'italiano';
        $_LANG_['general_articles_read_more']           = 'leggere pi&ugrave;';
        $_LANG_['general_articles_more']                = 'pi&ugrave;';
        $_LANG_['general_articles_edit']                = 'trattare';
        $_LANG_['general_articles_editing']             = 'editare';
        $_LANG_['general_articles_edit_within_dynpg']   = 'Editare quest\'articolo in DynPG';
        $_LANG_['general_articles_no_matching_results'] = 'E\' stato impossibile ottenere dei risultati relativi al termine &bdquo;%SEARCH_QUERY%&rdquo;. Tenta di nuovo con un altro termine di ricerca.';
        $_LANG_['general_articles_no_matching_results_for_timespan'] = 'Sfortunatamente &egrave; stato impossibile trovare degli articoli in questo periodo.';


        // date format for dates at detail page
        $_LANG_['general_detail_create_date_format']     = 'd.m.Y';
        $_LANG_['general_detail_fix_date_format']        = 'd.m.Y';
        $_LANG_['general_detail_from_date_format']       = 'd.m.Y';
        $_LANG_['general_detail_till_date_format']       = 'd.m.Y';
        $_LANG_['general_detail_change_date_format']     = 'd.m.Y';

        // Texts from detail.tpl
        $_LANG_['general_detail_pdf']          		  = 'pdf';
        $_LANG_['general_detail_pdf_page']      	  = 'articolo in pdf';
        $_LANG_['general_detail_recommend']           = 'raccomandare';
        $_LANG_['general_detail_recommend_page']      = 'raccomandare la pagina';
        $_LANG_['general_detail_link']                = 'link';
        $_LANG_['general_detail_link_page']           = 'link pagina';
        $_LANG_['general_detail_print']               = 'stampare';
        $_LANG_['general_detail_print_page']          = 'stampare l\'articolo';
        $_LANG_['general_detail_facebook']            = 'condividere';
        $_LANG_['general_detail_facebook_page']       = 'condividere l\'articolo';
        $_LANG_['general_detail_twitter']             = 'creare tweet';
        $_LANG_['general_detail_twitter_page']        = 'creare tweet sull\'articolo';
        $_LANG_['general_detail_read_more']           = 'leggere pi&ugrave;';
        $_LANG_['general_detail_more']                = 'pi&ugrave;';
        $_LANG_['general_detail_edit']                = 'trattare';
        $_LANG_['general_detail_editing']             = 'editare';
        $_LANG_['general_detail_edit_within_dynpg']   = 'Editare quest\'articolo in DynPG';


        // date format for dates at home site
        $_LANG_['general_home_create_date_format']       = 'd.m.Y';
        $_LANG_['general_home_fix_date_format']          = 'd.m.Y';
        $_LANG_['general_home_from_date_format']         = 'd.m.Y';
        $_LANG_['general_home_till_date_format']         = 'd.m.Y';

        // Texts from home.tpl
        $_LANG_['general_home_read_more']           = 'leggere pi&ugrave;';
        $_LANG_['general_home_more']                = 'pi&ugrave;';

        // Texts from search-form.tpl
        $_LANG_['general_search_button']           = 'ricercare';


        // form processing
        $_LANG_['forms_errors_number_00']                = '';
        $_LANG_['forms_errors_number_01']                = 'Errore: puoi inviare il formulario una volta soltanto!';
        $_LANG_['forms_errors_number_02']                = 'Errore: errore interno N. 2!';
        $_LANG_['forms_errors_number_03']                = 'Errore: riferimento errato!';
        $_LANG_['forms_errors_number_04']                = 'Errore: il periodo valevole per il formulario &egrave; scaduto!';
        $_LANG_['forms_errors_number_05']                = 'Errore: p.f. riempici tutti i campi necessari!';
        $_LANG_['forms_errors_number_06']                = 'Errore: p.f. indica un e-mail valevole!';
        $_LANG_['forms_errors_number_07']                = 'Errore: p.f. indica un URL valevole!';
        $_LANG_['forms_errors_number_08']                = 'Errore: il codice di verifica &egrave; stato incorreto!';
        $_LANG_['forms_errors_number_09']                = 'Errore: non sono ammessibili delle indicazioni di intestazione!';
        $_LANG_['forms_success']                         = 'OK: La tua dati &egrave; stata inviata!';


        // frontend edit mode
        $_LANG_['em_save']                  = 'Save';
        $_LANG_['em_edit']                  = 'Edit';
        $_LANG_['em_live']                  = 'Live';
        $_LANG_['em_abort']                 = 'Abort';
        $_LANG_['em_login']                 = 'Login';
        $_LANG_['em_logout']                = 'Logout';
        $_LANG_['em_open']                  = 'Open';
        $_LANG_['em_close']                 = 'Close';
        $_LANG_['em_create']                = 'Create';
        $_LANG_['em_assign']                = 'Assign';
        $_LANG_['em_refresh']               = 'Salvare &amp; Rinfrescare';

        // template em-layer.tpl
        $_LANG_['em_layer_new_entry']               = 'New entry';
        $_LANG_['em_layer_edit_entry']              = 'Modify entry';
        $_LANG_['em_layer_group_name']              = 'Menu entry name';
        $_LANG_['em_layer_shorttext']               = 'Short text';
        $_LANG_['em_layer_refid']                   = 'Group content';
        $_LANG_['em_layer_refid_is_start']          = 'è start-articolo';
        $_LANG_['em_layer_refid_choose']            = 'please select...';
        $_LANG_['em_layer_refid_aid']               = 'Article-ID';
        $_LANG_['em_layer_refid_is_init']           = 'Is initial group article';
        $_LANG_['em_layer_limit_from']              = 'Active from';
        $_LANG_['em_layer_limit_to']                = 'Active until';
        $_LANG_['em_layer_public']                  = 'Publish';
        $_LANG_['em_layer_public_o1']               = 'Yes';
        $_LANG_['em_layer_public_o2']               = 'No';
        $_LANG_['em_layer_public_o3']               = 'Yes, without navigation';
        $_LANG_['em_layer_public_o4']               = 'Yes, without sub-navigation';
        $_LANG_['em_layer_public_from_until']  		= 'Attiva (dal - fino)';
        $_LANG_['em_layer_index']                   = 'Sort index';
        $_LANG_['em_layer_article_name']    		= 'Name';
        $_LANG_['em_layer_article_lead']    		= 'Lead';
        $_LANG_['em_layer_article_text']    		= 'Text';
        $_LANG_['em_layer_article_searchkeys'] 		= 'Search keys';
        $_LANG_['em_layer_article_options'] 		= 'Options';
        $_LANG_['em_layer_article_show_in_lists'] 	= 'Do not show within article lists';
        $_LANG_['em_layer_article_show_in_menu'] 	= 'Do not show within the menu';
        $_LANG_['em_layer_article_create_question']	= 'In quale gruppo si desidera creare un nuovo articolo?';
        $_LANG_['em_layer_article_create']	        = 'Aggiungere un articolo alla lista Informazione ...';
        $_LANG_['em_layer_meta_title']              = 'Meta Title';
        $_LANG_['em_layer_meta_keywords']           = 'Meta Keywords';
        $_LANG_['em_layer_meta_description']        = 'Meta Description';

        // template menu-text.tpl
        $_LANG_['em_menu_txt_rename']       = 'Rename';
        $_LANG_['em_menu_txt_edit']         = 'Edit';
        $_LANG_['em_menu_txt_new_subgroup'] = 'New sub-entry';
        $_LANG_['em_menu_txt_new_group']    = 'New entry';
        $_LANG_['em_menu_txt_add_article']  = 'Add article';
        $_LANG_['em_menu_txt_edit_article'] = 'Modify article list';
        $_LANG_['em_menu_txt_close']        = 'Close';
        $_LANG_['em_menu_txt_delete']       = 'Delete';

        // template login.tpl
        $_LANG_['em_login_name']            = 'Name:';
        $_LANG_['em_login_password']        = 'Password:';
        $_LANG_['em_login_error_1']         = 'Login failed! Please try again.';
        $_LANG_['em_login_error_2']         = 'Login failed! There where too many failed logins. You have been locked for a certain timespan.';

        // template edit_mode.js
        $_LANG_['em_js_error_no_group_name']    = 'Please enter a name for the menu entry.';
        $_LANG_['em_js_error_no_article_name']  = 'Please enter a name for the article.';
        $_LANG_['em_js_error']                  = 'An error occured: ';
        $_LANG_['em_js_error_no_rights']        = 'Permesso negato. Non hai i diritti necessari.';
        $_LANG_['em_js_error_rights_missing']   = 'Non tutte le modifiche sono state salvate. Si impegna modifiche per le quali non hai i diritti necessari.';
        $_LANG_['em_js_success']                = 'Process successful. ';
        $_LANG_['em_js_delete_element_ask']     = 'Sei sicuro di voler cancellare questo elemento?';
        $_LANG_['em_js_delete_group_ask']       = 'Sei sicuro di voler cancellare questo gruppo?';
        $_LANG_['em_js_delete_refid_ask']       = 'Il gruppo è stato eliminato con successo. Volete cancellare il contenuto di gruppo, anche tu?';
        $_LANG_['em_js_close_tinymce_instance'] = 'Close this text field';
        $_LANG_['em_js_open_tinymce_instance']  = 'Open the text field to edit this content.';

        return $_LANG_;
    }
?>